package blanco.text.converter;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

import junit.framework.TestCase;

public class BlancoTextConverterSrcTxt2HtmlTest extends TestCase {
    public void testConvert() throws Exception {
        final BufferedReader reader = new BufferedReader(new InputStreamReader(
                new FileInputStream("test/data/sample.src.txt")));
        final BufferedWriter writer = new BufferedWriter(
                new OutputStreamWriter(new FileOutputStream(
                        "test/data/sample.html")));
        new BlancoTextConverterSrcTxt2Html().convert(reader, writer);
        reader.close();
        writer.close();
    }
}
